import math
import time
import string
import random
from statistics import *
from numpy.random import randn

import os
import sys
this_dir = os.path.dirname(__file__)
sys.path.insert(0, os.path.abspath(os.path.join(this_dir, '..')))
from zetane import context as ztn

# Launch zetane session
zcontext = ztn.Context().launch()
target_updates_per_second = 10.0
framecount = 0

# Example mesh
zmesh = zcontext.mesh(this_dir + "/data/Male_figure_16k.obj")
zmesh.position(z=-5)
zmesh.backface_culling(True)
zmesh.update()

# Update loop
i = 0.0
show_wireframe = True
while i < 10000000:
    zmesh.highlight(r=.5, g=0, b=.2, a=math.sin(i/2500.0))
    zmesh.transparency(math.sin(i/5000.0))
    zmesh.wireframe(show_wireframe)
    zmesh.update()
    i += 1
    if(i % 5000 == 0):
        show_wireframe = not show_wireframe

# Exit
print("Zetane session ended. Goodbye!")
